summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-14 16:03:24 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-14 16:03:24 +0000
commit8493f164eaf9f2937966dab41eeedce71d37d237 (patch)
tree4ab64ea33ddf0db56bde3adc5e2c8b2fe26c08b8 /dev-python
parent907ffd4300ff0cb1abe415f54557258e740367c6 (diff)
downloadbaldeagleos-repo-8493f164eaf9f2937966dab41eeedce71d37d237.tar.gz
baldeagleos-repo-8493f164eaf9f2937966dab41eeedce71d37d237.tar.xz
baldeagleos-repo-8493f164eaf9f2937966dab41eeedce71d37d237.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.8.1.ebuild39
-rw-r--r--dev-python/ansible-compat/Manifest1
-rw-r--r--dev-python/ansible-compat/ansible-compat-2.2.0.ebuild63
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.29.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.29.ebuild66
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-2.4.2.ebuild60
-rw-r--r--dev-python/flask/Manifest1
-rw-r--r--dev-python/flask/flask-2.1.3.ebuild63
-rw-r--r--dev-python/mrcfile/Manifest1
-rw-r--r--dev-python/mrcfile/mrcfile-1.4.1.ebuild29
-rw-r--r--dev-python/pocketlint/Manifest1
-rw-r--r--dev-python/pocketlint/pocketlint-0.24.ebuild28
-rw-r--r--dev-python/pyfakefs/Manifest1
-rw-r--r--dev-python/pyfakefs/pyfakefs-4.6.1.ebuild30
-rw-r--r--dev-python/pyghmi/Manifest1
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.51.ebuild39
-rw-r--r--dev-python/python-editor/python-editor-1.0.4-r2.ebuild20
-rw-r--r--dev-python/python-glanceclient/Manifest1
-rw-r--r--dev-python/python-glanceclient/python-glanceclient-4.0.1.ebuild48
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.7.1.ebuild91
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-63.2.0.ebuild123
-rw-r--r--dev-python/sphinx-notfound-page/Manifest1
-rw-r--r--dev-python/sphinx-notfound-page/sphinx-notfound-page-0.8.3.ebuild35
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-3.12.8.ebuild65
31 files changed, 882 insertions, 0 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index 96dd6cefc897..8a37f7d89600 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1 +1,2 @@
DIST alembic-1.8.0.tar.gz 1252636 BLAKE2B dfe6130a08a8bfcdeb10e02187a9f597bb55de8194c91909ab06d72f5daaaaf4c7154570a141a82be8568195d8f5f76db661f1dd192b92a5991434ade1a389ed SHA512 601366f21bcadaef1a5b7f7d4a1edfd9c146340f8a5d07b41e3b381e1e00866e79520d8393330e4a80369664b36b549c9d5ab3ea13ad7aa8010b165e73038bcd
+DIST alembic-1.8.1.tar.gz 1255927 BLAKE2B dbf40f9ca12171d99ad46bec6bf1841799226887a55a815db5c7a69cbcb7d861ede774aa35e1018e1a57bec26a8ddf7ee311e0b4396ebddd5477c67a4ad11876 SHA512 51f210447172d08eb94c41a962ddecc593a665790aa6f5badb771dccc882e0d653dcf153ebb04b9824dabcaeb1ac08e3747c2e3c74d8584a24b35662778de8dd
diff --git a/dev-python/alembic/alembic-1.8.1.ebuild b/dev-python/alembic/alembic-1.8.1.ebuild
new file mode 100644
index 000000000000..f9c2e2a562a4
--- /dev/null
+++ b/dev-python/alembic/alembic-1.8.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+ https://github.com/sqlalchemy/alembic/
+ https://pypi.org/project/alembic/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' pypy3 python3_8)
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/ansible-compat/Manifest b/dev-python/ansible-compat/Manifest
index 303625ef2d63..b17ac388a8c1 100644
--- a/dev-python/ansible-compat/Manifest
+++ b/dev-python/ansible-compat/Manifest
@@ -1 +1,2 @@
DIST ansible-compat-2.1.0.tar.gz 37840 BLAKE2B 5ac74cdaef1c932094996f331ed94418836b3351cbd376ae35ef22046b68dad0a8ab68fd293015db9954e0a5e1df4b5c529b3845cee5778daed2bb207733ca4f SHA512 a85681aff3d34ef4a4cdad8f419017a174bf315034495bc032a7e33d586cbcf72de74d163b6faf3cd21988704e5dbb922872b83a23981891311dbb18e53797a3
+DIST ansible-compat-2.2.0.tar.gz 38772 BLAKE2B dbe74d23d2f2e4275bd9df2303417ea83517e780e65c6a34bd6ae1022be265ac816b50b309fc45f88e0c7fac7d7a22c83a826cc15be050698a6f35b267a36ac3 SHA512 3bd199431659ecba52743c6c985d2cdc6ee55396444241ba2456bc5430bbc87e26087dffbfff62ac341fa854e19baa0d7052cf79f20511222fd9e001dd020136
diff --git a/dev-python/ansible-compat/ansible-compat-2.2.0.ebuild b/dev-python/ansible-compat/ansible-compat-2.2.0.ebuild
new file mode 100644
index 000000000000..8672b36fa157
--- /dev/null
+++ b/dev-python/ansible-compat/ansible-compat-2.2.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Contains functions that facilitate working with various versions of Ansible"
+HOMEPAGE="
+ https://pypi.org/project/ansible-compat/
+ https://github.com/ansible/ansible-compat/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=app-admin/ansible-base-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.6.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/subprocess-tee-0.3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-6.3.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm_git_archive-1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-markdown[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-plus[${PYTHON_USEDEP}]
+ )
+"
+
+# All these tests attempt to connect to galaxy.ansible.com
+EPYTEST_DESELECT=(
+ test/test_runtime.py::test_install_collection
+ test/test_runtime.py::test_install_collection_dest
+ test/test_runtime.py::test_prepare_environment_with_collections
+ test/test_runtime.py::test_prerun_reqs_v1
+ test/test_runtime.py::test_prerun_reqs_v2
+ test/test_runtime.py::test_require_collection_no_cache_dir
+ test/test_runtime.py::test_require_collection_wrong_version
+ test/test_runtime.py::test_require_collection
+ test/test_runtime.py::test_upgrade_collection
+ test/test_runtime_example.py::test_runtime
+)
+
+distutils_enable_sphinx docs \
+ dev-python/ansible-pygments \
+ dev-python/myst_parser \
+ dev-python/sphinx_ansible_theme
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p pytest_markdown.plugin
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 6cf1c826cc44..8244ecc5a091 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.24.22.gh.tar.gz 513301 BLAKE2B 1b71d128cc8f8224fd1ef521988e6b5e9415
DIST boto3-1.24.26.gh.tar.gz 515531 BLAKE2B 34f99c4dd224731e07c2f0b175d6d172661ce454a7af16be6856053af1bfac69b7f56ada5b154fb625fe2ba1fb22fbe34b5150c550890e46a923b48f2466b06b SHA512 a3980ec79abd5e2656d7d02b36dff6b8c2acb67033eff134d96dccbb9d8bbc2d711698b87d08d537256fad7e3b3cd7af008018ef567b12d63ef0fc871a8f3b3e
DIST boto3-1.24.27.gh.tar.gz 516237 BLAKE2B 968d48e9f1bf888df5dfc2ebb2d926d918121f96246e8d36ff872e93e347db3d97db42304e148cd21845bc3904977e0000a0e846bb104990cee23343c5995776 SHA512 3ff77f52a5236b12a7344ee9279cbfd53d6847f5afd980820f46971e62ebfa0f2639634c23cd962dfd087af1176596484dbedda6dee3674816a7a569f528caf5
DIST boto3-1.24.28.gh.tar.gz 516274 BLAKE2B 846de56cdd94cb63f855086b051bf8a282cde2dcfb7e581cd35bbe684f71aec3a8c8c451163814f66d7935a8947da4573b9283de8a24a4b1d6b543d7bf5a9323 SHA512 135ffb89fd008d41eb0054b4d746b32f2861520573604714240ccf15d6a2563e3a03179daa13bf153e047e0239ffa1c1884a0f4ee71cf5ca595c5f1ddc521477
+DIST boto3-1.24.29.gh.tar.gz 516486 BLAKE2B 0850ca719fe367fc25ae96fae20a341e5f95d30dc47c7b4176d14516202f54036ff0195520c314c24ee09db8a00a880ab4c8d4146ff4c6570aa56c055bf64dd2 SHA512 9d286d25ab9093778b4027c43d0909630b9b8685fb92b498bcca71ab7ca0406985b7a117e74cf41e3f13923eec3152d6b8142c92b398f3244b4fc78649d5fdd0
diff --git a/dev-python/boto3/boto3-1.24.29.ebuild b/dev-python/boto3/boto3-1.24.29.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.29.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 0747d66070ec..3df467e419ac 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.27.22.tar.gz 9151155 BLAKE2B e3aa6e9814e07bca2bd67d16f6548303af7
DIST botocore-1.27.26.tar.gz 9167551 BLAKE2B 9e95c1e6e5261b08247615446a589318d92cc86768c5e3999f99fb8e2a4a888309d72d4d3d66a1ebf9c1e2b6ccab6265a1d94ad9dcbf9da22aa1ae012aa2bfb3 SHA512 bbb563c2bc8eb3fe022f0b7be263ef16de93aadb02fb7a8e242f53a957a97e8f8b5d043ea8897a7b268d4d64b1e4972f2ccc91b8255f232c858f6a9ba1d93f34
DIST botocore-1.27.27.tar.gz 9168895 BLAKE2B 71cc1d94a570110305a37c6813e626bf2c06189692af6a0c1c751f63b329fb13c41e048103b1938f680cf00d08b2c16d253fcee0d559716ccc411be4635f8741 SHA512 d974824a5f1d6bdf332c49682fede28b1b2c464928595929c5f7e8c2cbcdc8216cd590dfdf2dadffbd4cd21e1aeefc89744424e09eab876ad77280e6023b362f
DIST botocore-1.27.28.tar.gz 9170693 BLAKE2B 9efecb772f0a84edf61f9556bc3c2081fc4681b922c176ba56a42a951e18959ab135d80183e3667df6b21a1a129bc09b5e223d69081c45f33f3aebf7599e03e3 SHA512 22286e962a6e2f90d37e004e78b8b55cd446141f0c0dd2e21ac54b9ee2eb2a00dd791f10eaf511b0f31d93795fee042985cea431a7ced4ded2de5f174cfe9c8b
+DIST botocore-1.27.29.tar.gz 9172216 BLAKE2B 9ebf2594a21d3b48ce13bac6901884db14ef1216cbb73783a30390ef67973cca24aa50e1226e836124c97512a8f3307b2c18dbfcd52cbf01e69c44046d1f572a SHA512 8897209c8edef1f8e1f5a877e62809760b62a2009f8c0bf59922fde7193fe60b49a15d9eecb6d6bf647418d35b580e277eff2bb14152be301ce67b4dc8dd6f1d
diff --git a/dev-python/botocore/botocore-1.27.29.ebuild b/dev-python/botocore/botocore-1.27.29.ebuild
new file mode 100644
index 000000000000..1f52e2694e84
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.29.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index 23ecccfb7615..3edbbc44a97c 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1 +1,2 @@
DIST cmd2-2.4.1.tar.gz 676903 BLAKE2B 10b27d7658ee366d44d5fd13a4daf3adb65537043e0475e4c30b5a3b5e142cae982515f033e52fbd63bbce583ffc64e7b0a032d4cc0bbca76303720ecb2a8232 SHA512 862ff0ed301dc8fd588fb564602b32c9e8dee1dcae9965b0ed4605acc98b63ca5767b28c0030410395fb34ea1a0c7cf966972c19b75b93c1a3a3b90b582279fb
+DIST cmd2-2.4.2.tar.gz 677598 BLAKE2B 38b767e70d42125639578a906a6bd0ac737ee1e3be2951b122f91a1a2bfe366ea23db2d7d7350842b667aca7614a3520057f689cb1c253d1c4b11e164c2ee4a1 SHA512 d70d264671db2783526c589199ff74cc70d53a4fbaa1d78636a508dbf8216aefab17f5764bf25b2b86e9c1413e0e61977819fbb0dec59d3209195df522d3fa5f
diff --git a/dev-python/cmd2/cmd2-2.4.2.ebuild b/dev-python/cmd2/cmd2-2.4.2.ebuild
new file mode 100644
index 000000000000..48a8c53acd12
--- /dev/null
+++ b/dev-python/cmd2/cmd2-2.4.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="
+ https://github.com/python-cmd2/cmd2/
+ https://pypi.org/project/cmd2/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+# pyperclip uses clipboard backends in the following preference order:
+# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
+# klipper is known to be broken in Xvfb, and therefore causes test
+# failures. to avoid them, we must ensure that one of the backends
+# preferred to it is available (i.e. xclip or xsel).
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ || (
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -i -e '/--cov/d' setup.cfg || die
+}
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest -p no:pytest-qt || die
+}
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
index be67588054a3..ccb41412d683 100644
--- a/dev-python/flask/Manifest
+++ b/dev-python/flask/Manifest
@@ -1 +1,2 @@
DIST Flask-2.1.2.tar.gz 631846 BLAKE2B 9024a12dd6fabeffcf5939e2852734b278f25fb99830bb165cf46a09e3fd67d0997558d1b06a0dec3425d9b750be25bde147341c937e874811fe2496224a1f3e SHA512 65ca756d63da05e74863fbfd2ae574d6e75d6fab683dd08ea97b22a9b27be4f9a03ce7be44312a1f2c6a802bdf77ede3899734f3f1546000dd8b9c592571deec
+DIST Flask-2.1.3.tar.gz 630206 BLAKE2B 83c876fe94d2cb1b35677227214664b35b6908270097d3ef0e1150a7259cdce82fb91fa6ba7cc90e819623bb9cc79f8254cc5688c6dd1e1dedaa673f23591bfb SHA512 6289bcaa295265c501fda1292b496911768525acf4155c856e14479a213aec4ca50a45ddd81b30ccd31fd684da1942ec10400f2dc8280ceff6ded9baf55494e5
diff --git a/dev-python/flask/flask-2.1.3.ebuild b/dev-python/flask/flask-2.1.3.ebuild
new file mode 100644
index 000000000000..36f79db66907
--- /dev/null
+++ b/dev-python/flask/flask-2.1.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+HOMEPAGE="
+ https://palletsprojects.com/p/flask/
+ https://github.com/pallets/flask/
+ https://pypi.org/project/Flask/
+"
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/mitsuhiko/flask.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/click-8.0[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-2.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-2.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-3.6.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ test? (
+ >=dev-python/asgiref-3.2[${PYTHON_USEDEP}]
+ !!dev-python/shiboken2
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/pallets-sphinx-themes \
+ dev-python/sphinx-issues \
+ dev-python/sphinx-tabs \
+ dev-python/sphinxcontrib-log_cabinet
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p no:httpbin
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/mrcfile/Manifest b/dev-python/mrcfile/Manifest
index 59aa196056d8..cd295a3118a3 100644
--- a/dev-python/mrcfile/Manifest
+++ b/dev-python/mrcfile/Manifest
@@ -1,2 +1,3 @@
DIST mrcfile-1.3.0.gh.tar.gz 148140808 BLAKE2B 8ede240df4a3d0132a3bfa230377f496db84c56074450e5744c696158b2afd2c091719fbb314a04eff7f21f10eaeaa9cc6347e45bf82b0c4972db4ecc4a111a4 SHA512 57fff6e7c71b41681c94c60fbb69d0712ec7e342329624d8c20e212560eaa0f2b573d02ec5fcce39b9b7077e66d9bab463afc227d6b1f24134eddb17e56fdff1
DIST mrcfile-1.4.0.gh.tar.gz 148151643 BLAKE2B d9a5c8c3535402e00f971da0032e32b8c4e86fbabf9774b00fa5c7565e560e2bcbf50cba07458926bcda0c62071b18144a7d6016a1e8928ca031e8e54e63b0c4 SHA512 078e5f1c933b42116908995665cf0f222208e35b6e79e65724f26b6e9a2f7a19f5e1763369b99f4a03449f2fb10c2dac2201de88086d08da727fa5580a07e440
+DIST mrcfile-1.4.1.gh.tar.gz 148152857 BLAKE2B 6bfa9216465f147964ff3ad0065e6e2cae3a5c5ba226ddeead2c7f6c38f49f19cb83ee1dfb2f74adca87dba1504d908b846225f2b7b281153a8896bb49eb9653 SHA512 d0d3c12e38b2d9195c4ae65586e25abf483108582af467b22cb60cbc82572243ba213d5c89bff24c80f9189a961ac3bf78f7a884ddd3ea32666c5199facad7d3
diff --git a/dev-python/mrcfile/mrcfile-1.4.1.ebuild b/dev-python/mrcfile/mrcfile-1.4.1.ebuild
new file mode 100644
index 000000000000..5cca35fa2003
--- /dev/null
+++ b/dev-python/mrcfile/mrcfile-1.4.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="MRC2014 file format I/O library"
+HOMEPAGE="
+ https://pypi.org/project/mrcfile/
+ https://github.com/ccpem/mrcfile/
+"
+SRC_URI="
+ https://github.com/ccpem/mrcfile/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/numpy-1.16.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pocketlint/Manifest b/dev-python/pocketlint/Manifest
index dfc36c650a9d..4e6ce0b87c3a 100644
--- a/dev-python/pocketlint/Manifest
+++ b/dev-python/pocketlint/Manifest
@@ -1,2 +1,3 @@
DIST pocketlint-0.22.tar.gz 23779 BLAKE2B 3698927cc4a3f6ee6de74d205b5a7f937405e7ce2e9d987e34b35ce209635cab37357d0221a6762deb66350cd2b991420a9b12af2c9e6792f713e5c95dfedb59 SHA512 7ee9e6b969975274e7697d1d16fadaac82fa0a1855401d9f240aaae123831dc32e381dd24f88a3f004ab45df9f0251c408ed8f60a08fe99caf629af617c80ea0
DIST pocketlint-0.23.gh.tar.gz 23854 BLAKE2B 2ff3388b639ba29ae60ccd0013cea9b1f437d03d552c03089c91ba65f4fdf7b6b739ac2b926248bc5738e29cd41fa104d7c2742385cfe7a454841f2ed252b0fa SHA512 36a6f7fbc5b9475a145bc03ccf9a6918e49ed29279913b1bcc7090961bcc842333a4d31b4eb809a7ca7b384e79c186d1e6397c379c1921943ddd49c3c736aaed
+DIST pocketlint-0.24.gh.tar.gz 23875 BLAKE2B b4699d1f0633ed6a3f84b97db972818c00a1d382a48648fd4fe6870f4c54f983fd36366f85a409a99b860f385902a9a05adec63199e35d1264a522a7a3086e31 SHA512 21c4055dd42c244760950b64ec4cd9359fc589014953be6f9296e0265101f098fbe34351e87f92630751fa0055de20281974a04b425f691acc4608cf929d4bf4
diff --git a/dev-python/pocketlint/pocketlint-0.24.ebuild b/dev-python/pocketlint/pocketlint-0.24.ebuild
new file mode 100644
index 000000000000..f432cefb5917
--- /dev/null
+++ b/dev-python/pocketlint/pocketlint-0.24.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Shared code for running pylint against rhinstaller projects"
+HOMEPAGE="
+ https://github.com/rhinstaller/pocketlint/
+ https://pypi.org/project/pocketlint/
+"
+SRC_URI="
+ https://github.com/rhinstaller/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index 4f5d7d4bec26..0f353e7116a8 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1,2 +1,3 @@
DIST pyfakefs-4.5.6.tar.gz 206310 BLAKE2B c37cb4709a285bfba411cd76da4f158cfe682d210411290ed3e06456ceb5b6de99ecc320da748c8d9b0e230b6384290638d3fd22f0e1388c1965b2b2806d2d30 SHA512 c7a31cc94eaa2b1830d4da355bf4d3de5cbdc8851561ec82fd2de9fe845457f13bcc25aa58a50afb862f396cb0e83c8bf71bb8be51cc3b628ff01b25db62eca6
DIST pyfakefs-4.6.0.gh.tar.gz 208832 BLAKE2B 60a8c3223fc92e366beb8907ea0c8f242b91ddd422ab0b551d04d7c24ed3d4202b7c42b8971eef0f15fa27b7ed0821637e9341b3feeaf02232948a50898213d6 SHA512 9f507c7b0e28591886cb91c36dad22d6c55d123a447070c2fdc6573d2db1e2bb79cd5c203a9fce762882de680feacaf7e3b57f9bebf6922c643bf61fe44878f2
+DIST pyfakefs-4.6.1.gh.tar.gz 209134 BLAKE2B 81dc53dad9e815eaf3024f157aab36afcfd6547485b92b47e5acf2b03f49eb6ffe0d07da1c4d16b82585870535ba9d44580f190c28856dba6906d07996aba2f7 SHA512 ef2defe59e84e6e85408e7369efc86c1d6f3981456a2628552b63b8fca959ff8536b41fb006bd8b291bef9fb3dba17126c4e211a21f0d11cc29da8f7d5addce2
diff --git a/dev-python/pyfakefs/pyfakefs-4.6.1.ebuild b/dev-python/pyfakefs/pyfakefs-4.6.1.ebuild
new file mode 100644
index 000000000000..1d1bcd284d86
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-4.6.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A fake file system that mocks the Python file system modules"
+HOMEPAGE="
+ https://github.com/jmcgeheeiv/pyfakefs/
+ https://pypi.org/project/pyfakefs/
+"
+SRC_URI="
+ https://github.com/jmcgeheeiv/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pyfakefs.pytest_plugin
+}
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index 1639f8ad549f..ea8dbbfbc43f 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -1,3 +1,4 @@
DIST pyghmi-1.5.48.tar.gz 243927 BLAKE2B 8395aa3bbba752654c2ad73f76735370f31f9548f91e7e0bbb3e52afd2d67a00b316f7e1e25a49ad16004308a635104fa57a00a6bed63639068de86d96e44316 SHA512 f3ee4d44504b2fa5950817e1957ac23c666af6ba36b0ba65dafa5b42036d12d204accf996c75947ecdb5f9533025b9b0d17b0e96612019d622fee678fd0ff592
DIST pyghmi-1.5.49.tar.gz 244142 BLAKE2B f35b483cc4d48c5bc3fe6bd5c6ac3ea320d7c131a0e77f8ff8af1d14ecdc38972170d93b830070ab8c2d27ec8b8f1607ea0c065af4ad402bd0ee2e25307b9658 SHA512 9c8ce9ddf61b613cba59a49af4f5ebc40e37f83debf10854d2781f6b47fb0fff058cb9f784ed2d527f84ed1bad7c12acb97460fbab6a8552876510634c1bf5dd
DIST pyghmi-1.5.50.tar.gz 244226 BLAKE2B 461bc9598497ae1f61d772ff223e7e4d2dc62660d41da2b660c4d71241c73c9107e8b0f74e5cf33fa8c9a8e79afaa834e4fb72e584ab2234a2874f9b23927208 SHA512 96fd274d8c7e55b6efc23612f145575e27a9a4949e20495ccfe023ff37dd7103cf0f42134350bf5fc0d1e4f86416981d01c18bd00d97a0b7a738fb5b363da457
+DIST pyghmi-1.5.51.tar.gz 244303 BLAKE2B 9d675de9a3df5c314d5d0bf73cb0086297cf67d07d0f4488c65cbcb7ffa68aaccb9149666eded4c40984c1936a46294f113be07dd5b4e9ad772e3f40d9d29f19 SHA512 ab7f650f984f7677fcac4895c9d75f4184ae3268793c4c6682e2150c2e433b0b6c15ea7008cdd2389b5f2db992e3cae117c2bc2dc13b7d7cb3a19172fc12783c
diff --git a/dev-python/pyghmi/pyghmi-1.5.51.ebuild b/dev-python/pyghmi/pyghmi-1.5.51.ebuild
new file mode 100644
index 000000000000..3f4d5d210c90
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.5.51.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="
+ https://opendev.org/x/pyghmi/
+ https://pypi.org/project/pyghmi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/python-editor/python-editor-1.0.4-r2.ebuild b/dev-python/python-editor/python-editor-1.0.4-r2.ebuild
new file mode 100644
index 000000000000..af7673f597c6
--- /dev/null
+++ b/dev-python/python-editor/python-editor-1.0.4-r2.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Programmatically open an editor, capture the result"
+HOMEPAGE="
+ https://github.com/fmoo/python-editor/
+ https://pypi.org/project/python-editor/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
diff --git a/dev-python/python-glanceclient/Manifest b/dev-python/python-glanceclient/Manifest
index 5883d766a1ca..633ce913a8c4 100644
--- a/dev-python/python-glanceclient/Manifest
+++ b/dev-python/python-glanceclient/Manifest
@@ -1 +1,2 @@
DIST python-glanceclient-4.0.0.tar.gz 202815 BLAKE2B a1d6dc46ca77c67bd42e6603b36652cc2ad9464b172b0bea778aa87130a6ed68613dda68db1ad5215e6d2ea34b9ecd96bc0ce853b94fc137b80aa7c85763622e SHA512 31ce9ee865ba543674a9ccc0267f1e02308e444bedfe1728ed59c20abe77cd7936b059c5adb0a8f73e5bf999c5ac5a34ac3cafe2e695718535ead786916e2414
+DIST python-glanceclient-4.0.1.tar.gz 202810 BLAKE2B ccc328aac739979d9ef3b3c4b6cccbef0865860827112c73a7d15d257f1735c69bac54d5771a27d6e6dbfaada4825b624d312a17195b081f3b5800b662c3f926 SHA512 23e931741430c0ba9606b5f013c6724285f8d49691c092c11db97434d963bd257639df769cdbc0e18ea2f5a57c13b03c887e8a091fdb40b292ae6a33f28b4e31
diff --git a/dev-python/python-glanceclient/python-glanceclient-4.0.1.ebuild b/dev-python/python-glanceclient/python-glanceclient-4.0.1.ebuild
new file mode 100644
index 000000000000..87e2b2a23c1a
--- /dev/null
+++ b/dev-python/python-glanceclient/python-glanceclient-4.0.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Glance API"
+HOMEPAGE="https://github.com/openstack/python-glanceclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/keystoneauth-3.6.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/warlock-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/warlock-2[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/tempest[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b glanceclient/tests/unit
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 1dd3007d1157..aa5147fca622 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,3 +1,4 @@
DIST sentry-sdk-1.5.12.tar.gz 247388 BLAKE2B 72dc4a5df97656074243045f20cfdbcb15b3d40bb58be06f458a31b52f0168be6f543f83d4641528cb7310f3f5ac1459218397e0e7c0a5131c9bf462e8cfcfb1 SHA512 4d39ba8fd2f490b4e8e5584207c17ace9055668d34a1c43e74a5f05c740b0f38d0794a90cd27edf221d35f5ad76aa6551e117f48167186ce630f7f64200cdad4
DIST sentry-sdk-1.6.0.gh.tar.gz 249637 BLAKE2B c4d6788c80184ce9127ed85dfb5305363fd27bcbebd74763e4c14c4fed35dd05069ad4a244fa2d8a59f8cb618df22d4d864bf72510fe42600d23fcc6bf8228cf SHA512 d2999831af595ed7f1861ec78887e46887eea8c4c931f22bd4003aede508511287f67eb6100232362a110d16b7bdec892572225440be52a9bd37952c30478f15
DIST sentry-sdk-1.7.0.gh.tar.gz 251695 BLAKE2B b31a11ee6dcd55960b2d267c26cabdb35a463ab8c081889dceca55ae9ad87c90827875fb75f0912e98457391f24263816d5e61c59551121fe8dede8bb4921a8b SHA512 5595266185618630493eb9bf84c8570f419339b37e8f4afcd4feee80d62d9f678da68d58df081a5361380fe166df589029606ba1d7b70c1844fe174e3292f54c
+DIST sentry-sdk-1.7.1.gh.tar.gz 251834 BLAKE2B e12c16780c3748754b9b104fbb38c7f7aba5fba3186c0ea00f40e742095828bedc926d6c8ed3cae05cc324fde8dac14053035ea4f75fa8f7669dc953e844ea0c SHA512 92d6e04cc6efb3d3272e3afdeb302115d8dfed9907db914bdf387bb257a8175f3d0713041e8c86c64a8d027fbcd3d6d03b4cccba55e6c76e52412ae404de7dc5
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.7.1.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.7.1.ebuild
new file mode 100644
index 000000000000..4d161997054c
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.7.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/eventlet[${PYTHON_USEDEP}]
+ ' python3_{8..9})
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_too_large_event_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+)
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index ea895d9d4b32..42ab103ea23d 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -5,3 +5,4 @@ DIST setuptools-62.4.0.tar.gz 2592908 BLAKE2B 5221c32545d451fe9e80f6c78296044fc8
DIST setuptools-62.5.0.tar.gz 2596847 BLAKE2B 62bfd0271404dd77fbc1085ce8f6b8977d1f2fd3b1ccf5fc260df8875a2cfab9570db466c29646e7123404d9308765ef6cc6b4524b8c8dd3df9912c11b989e31 SHA512 32a9511ed9b2973cd81641458f8e9172b97d95a7dc10535a670ee1fe2ea3cba27ac9f93909c1d508c83293e6a20ab816bb899aaccf449823b5d67ac98bdf2718
DIST setuptools-62.6.0.tar.gz 2599326 BLAKE2B 7f4200f9d9e94fca17fad2c37dab6c2175f5562703d2913ac11cf34020e65dd6aa7d024536e5294de5fb5e9523419526f0b56282da62ba0ca40e7e164c97260e SHA512 d67c438d507fc7959162b5e8c2a15e9c36d37e5cd7052e16eeb58d8a9bcf19b725a0e7b840e101500799d725bbc4c1872d0f79eead66a538e891cc7cfbe3d979
DIST setuptools-63.1.0.tar.gz 2599380 BLAKE2B 532f484ea0e40a820ac266e878e6210c953a37f32f6ec51032c2570395c71fe7d59b30f8787a1127c7c2ebfcd76985bd3f6f57b558f01a34eced8797cc6d1aa6 SHA512 367b52dfbd5d1a6980d061a47c1948ee8efd9632f694c21e8d518639b8097fbda8f1735641c25d7528bc11beeffc42d6bcba9e0d9b755d5b6fbb74d26bf7cc5c
+DIST setuptools-63.2.0.tar.gz 2605892 BLAKE2B c9475a64fbe22be348277d25582a0c1789544822a891ebfb8e8e79b122631d31bf3535aac1b408a254c1f29ea9ca20bd9b270e4d78ddc539aea4e3c59a6e7f7b SHA512 e55c19bb95415a5f831fd23dfc32cb79fdad71867bc225f2a76caecb3c188fa6a5dac8d13e131a97d1833672a245b28a53a11ceafd67ac19cacd4a247ba7d291
diff --git a/dev-python/setuptools/setuptools-63.2.0.ebuild b/dev-python/setuptools/setuptools-63.2.0.ebuild
new file mode 100644
index 000000000000..97e919bbffe0
--- /dev/null
+++ b/dev-python/setuptools/setuptools-63.2.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.4-r2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/nspektr-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3-r2[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.11.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-5.4.0-r3[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.9[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}"/setuptools-62.4.0-py-compile.patch
+ )
+
+ # remove bundled dependencies, setuptools will switch to system deps
+ # automatically
+ rm -r */_vendor || die
+
+ # remove the ugly */extern hack that breaks on unvendored deps
+ rm -r */extern || die
+ find -name '*.py' -exec sed \
+ -e 's:from \w*[.]\+extern ::' -e 's:\w*[.]\+extern[.]::' \
+ -i {} + || die
+
+ distutils-r1_src_prepare
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ # TODO: see if PRE_BUILT_SETUPTOOLS_* helps
+ setuptools/tests/config/test_apply_pyprojecttoml.py::test_apply_pyproject_equivalent_to_setupcfg
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ setuptools/tests/test_extern.py::test_distribution_picklable
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ setuptools/tests/test_editable_install.py::test_editable_with_pyproject
+ )
+
+ epytest -n "$(makeopts_jobs)" setuptools
+}
diff --git a/dev-python/sphinx-notfound-page/Manifest b/dev-python/sphinx-notfound-page/Manifest
index 161349ee007d..d09882719356 100644
--- a/dev-python/sphinx-notfound-page/Manifest
+++ b/dev-python/sphinx-notfound-page/Manifest
@@ -1 +1,2 @@
+DIST sphinx-notfound-page-0.8.3.gh.tar.gz 59219 BLAKE2B cdb95906dba4d51aee88b220f094204575f2800737f160c7c028033002d41d2c793a91e1c61101f7c7c960ddf3b4d2ef83fbd285dd73ff5aed6c6c933b1fc1e7 SHA512 8d43ccfd3f83ff25b7a20ee3f5352489092dc641b4a794199c06c0971078a132a42b05c85588508ec38487f2915eedec98c2deac02d6c4576828be2fbc7f13b0
DIST sphinx-notfound-page-0.8.gh.tar.gz 57650 BLAKE2B e57634ba9a7faf81e6ee8d9b082d96742b580606f2e2fd559842049ba2e80bcb44bb6bd7a9c7eed6038e4c3ddb0416e32fceb4d47a72b8a600443e0020ff33d6 SHA512 eeb5b8da24ecb8f9814540a126f08204ae623705068608c2ee32a4f90303bdaab5f3934bdc36dd06dff047beb0225603f8cfc9b736769836385837047a36a674
diff --git a/dev-python/sphinx-notfound-page/sphinx-notfound-page-0.8.3.ebuild b/dev-python/sphinx-notfound-page/sphinx-notfound-page-0.8.3.ebuild
new file mode 100644
index 000000000000..c46f860581e6
--- /dev/null
+++ b/dev-python/sphinx-notfound-page/sphinx-notfound-page-0.8.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Create a custom 404 page with absolute URLs hardcoded"
+HOMEPAGE="
+ https://sphinx-notfound-page.readthedocs.io/
+ https://github.com/readthedocs/sphinx-notfound-page/
+ https://pypi.org/project/sphinx-notfound-page/
+"
+SRC_URI="
+ https://github.com/readthedocs/sphinx-notfound-page/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # calls sphinx-build directly, works around venv
+ tests/test_urls.py::test_parallel_build
+)
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 1be2083dbc9e..1ac5ddd4f22e 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1 +1,2 @@
DIST trimesh-3.12.7.gh.tar.gz 10756892 BLAKE2B af1f40b5de1eb60ec3241d342b3ed99fc7dc5e906c71a7669578e539d7c45ab4b037038423efb324cc462dc34a8ac1d1a8134f6b775f1965f2512acd76a8af14 SHA512 35f8039e46f55a3b2e713249d66a658ef48eb8c4a0a6e196f34933fc28052ad0a73953cc4736377bb7b79606ea08b78b132bb9d709fc50da11b2e96aa0e231e6
+DIST trimesh-3.12.8.gh.tar.gz 10758444 BLAKE2B d26fa059d4015bd8b1185665d00da619471908d60dd612a6e761a2334b4f78d21bda5bc25f469be23185964f8b068977208a4e7b41591b20f7669c8f193e926d SHA512 ea6ff5577a72dc56ce89076cdee942b41866ce7bdef1971f86ec680e0ae34fad8c7038741a4a19cb83d355891d415b5e88561ae83ae13d0fc2448c08e06b2ba8
diff --git a/dev-python/trimesh/trimesh-3.12.8.ebuild b/dev-python/trimesh/trimesh-3.12.8.ebuild
new file mode 100644
index 000000000000..8a53861b3711
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.12.8.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimsh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -n "$(makeopts_jobs)"
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" sci-libs/scikit-image
+}